#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests [tests missing in archive as of 1.0.3]
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
#
%define 	module	cssselect
Summary:	Python module for parsing CSS3 Selectors and translating them to XPath 1.0 expressions
Summary(pl.UTF-8):	Moduł Pythona interpretujący selektory CSS i tłumaczący je na wyrażenia XPath 1.0
Name:		python-%{module}
Version:	1.1.0
Release:	5
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/cssselect/
Source0:	https://files.pythonhosted.org/packages/source/c/cssselect/%{module}-%{version}.tar.gz
# Source0-md5:	fa57704c1cb66cc8e537b782bd6b227e
URL:		http://packages.python.org/cssselect/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-lxml
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-lxml
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document. This
module used to live inside of lxml as lxml.cssselect before it was
extracted as a stand-alone project.

%description -l pl.UTF-8
cssselect interpretuje selektory CSS3 i tłumaczy je na wyrażenia XPath
1.0. Owe wyreażenia mogą być później użyte w lxml lub w innym kodzie
XPath do znajdywania pasujących elementów w dokumentach XML lub HTML.
Ten moduł był częścią lxml jako lxml.cssselect zanim został wydzielony
jako osobny projekt.

%package -n python3-%{module}
Summary:	Python module for parsing CSS3 Selectors and translating them to XPath 1.0 expressions
Summary(pl.UTF-8):	Moduł Pythona interpretujący selektory CSS i tłumaczący je na wyrażenia XPath 1.0
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document. This
module used to live inside of lxml as lxml.cssselect before it was
extracted as a stand-alone project.

%description -n python3-%{module} -l pl.UTF-8
cssselect interpretuje selektory CSS3 i tłumaczy je na wyrażenia XPath
1.0. Owe wyreażenia mogą być później użyte w lxml lub w innym kodzie
XPath do znajdywania pasujących elementów w dokumentach XML lub HTML.
Ten moduł był częścią lxml jako lxml.cssselect zanim został wydzielony
jako osobny projekt.

%package apidocs
Summary:	API documentation for Python cssselect module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona cssselect
Group:		Documentation

%description apidocs
API documentation for Python cssselect module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona cssselect.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
# no Makefile...
cd docs
PYTHONPATH=$(pwd)/.. \
sphinx-build -b html . _build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%{py_sitescriptdir}/cssselect
%{py_sitescriptdir}/cssselect-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%{py3_sitescriptdir}/cssselect
%{py3_sitescriptdir}/cssselect-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cssselect.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c237879
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 9e0164e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 67769e2
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 7383ccc
- typo

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4f07297
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> dace013
- updated to 1.1.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c5bcbd6
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 35f2120
- updated to 1.0.3, added -apidocs

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a7b37b7
- python 3.7 rebuild
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3916237
- python 3.6
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cba27b9
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b30551e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1f6e92e
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 58c066c
- semi-automatic change: use py_build/py_install macros

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d9e6236
- tests require python-lxml

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d504ae3
- up to 0.9.1; python3 package

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> 14755a0
- Release 2. py_postclean is back.

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> b64e770
- Release 1. noarch, cleaning.

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> 7e2d926
- Initial version 0.7.1-1.

